Retrieve document group

GET
https://example.kaiten.ru/api/latest/document-groups/{document_group_uid}
Path parameters
NameTypeReference
document_group_uidrequiredstringDocument group UID
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Document group uid
id

integer

Document group id
title

string

Document group title
created

string

Create date
updated

string

Last update timestamp
archived

boolean

Document group archived flag
company_id

integer

Company id
author_id

integer

Author user id
parent_entity_uid

null | string

Parent tree entity uid
parent_group_idDeprecated: use
parent_entity_uid instead

null | string

Deprecated alias for parent_entity_uid
entity_type

string

Entity type. Always "document_group"
sort_order

number

Document group sort order
access

enum

Document group access type. "for_everyone" — accessible to all company members, "by_invite" — only invited members
for_everyone_access_role_id

null | string

Role id for everyone access
hostname

null | string

Custom hostname for public site
redirect_url

null | string

Redirect URL
key

null | string

Unique document group key within company
icon_type

null | string

Icon type. "material_icon" or null
icon_value

null | string

Icon value (icon name for material_icon type)
icon_color

null | integer

Icon color
public

boolean

Is document group publicly available (legacy field)
news_feed

boolean

Is document group marked as news feed
hidden_on_public_site

boolean

Document group is hidden on public site
path

string

Inner path to entity in tree
index_document_uid

null | string

UID of the document used as the home page for this folder
documents

null | array of objects

Child documents. Included when relations contains "documents"
groups

null | array of objects

Child document groups. Included when relations contains "groups"
parent

null | object

Parent document group. Included when relations contains "parent"
author

null | object

Author user object. Included when relations contains "author"
access_record

object

Schema
Current user access record to this document group
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/document-groups/{document_group_uid}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!